Subject: Re: Lawyer's advice on boilerplate in RFCs and I-Ds

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 21 Mar 2007 08:25:30 +0100

--On 20. mars 2007 16:14 -0700 todd glassey <[email-masked]> wrote:

> For instance, how many revisions of RFC3161 were there ??? I seem to
> recall the answer is three.
>

Please produce evidence of this idea, or drop it.

RFC 3161 was announced as published on August 29, 2001. My archives show a 
repeat announcement on October 19, and a blank message sent out on October 
17 with the same subject line. I do not know why.

But unless procedures were violated, there was no change to the document.

                    Harald

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Todd Glassey <[email-masked]>
Date: Wed, 21 Mar 2007 07:35:01 -0800 (GMT-08:00)

Thanks Colin!

-----Original Message-----
>From: Colin Perkins <[email-masked]>
>Sent: Mar 21, 2007 3:30 AM
>To: Simon Josefsson <[email-masked]>
>Cc: Harald Tveit Alvestrand <[email-masked]>, [email-masked]
>Subject: Re: Lawyer's advice on boilerplate in RFCs and I-Ds
>
>On 21 Mar 2007, at 12:16, Simon Josefsson wrote:
>> Harald Tveit Alvestrand <[email-masked]> writes:
>>> --On 20. mars 2007 11:54 -0700 todd glassey  
>>> <[email-masked]> wrote:
>>>
>>>> Steve - I understand the intent - Let me one question... is this  
>>>> true of
>>>> all RFC's today? i.e. that any time they are revised that a new  
>>>> work and
>>>> not a BIS is created? The reason is that I seem to recall several  
>>>> RFC's
>>>> that were revised numerous times without obsolescing the previous
>>>> document RFC number.
>>>
>>> Todd,
>>>
>>> once an RFC is issued, with an RFC number, that RFC number refers to
>>> that specific text.
>>> Forever.
>>>
>>> If you want to claim that this practice, which is at the core of the
>>> IETF document handling, has been deviated from in the last 15 years,
>>> "I seem to recall" is not good enough.
>>>
>>> Produce evidence, or shut up.
>>
>> Since you ask, RFC 4071 ('BCP 101 Update for IPR Trust') have been
>> modified after its publication, by appending RFC 4371 to it.
>>
>> I don't know what lead to that decision, or who made it, but it breaks
>> the assumption that RFCs related to IETF IPR rules remains the same
>> once published, which sets a bad example.  I'm not aware of other
>> examples, but I have not looked carefully.
>>
>> Compare:
>>
>> http://www.ietf.org/rfc/rfc4071.txt
>> SHA-1 16e529147fd13dbcc8c6a3aa9491600d106e87c1
>>
>> http://www.faqs.org/rfcs/rfc4071.html
>>
>> I couldn't find a text version of the old file, but maybe someone have
>> it on their local computer and could publish the SHA-1 hash of their
>> copy for future reference.
>
>archive.org has the old version:
>
>http://web.archive.org/web/20051130065636/http://www.ietf.org/rfc/ 
>rfc4071.txt
>MD5 = 8d5270c9e6b05ca5305982e1aa93e950
>
>http://web.archive.org/web/20060411074747/http://www.ietf.org/rfc/ 
>rfc4071.txt
>MD5 = 5eb1b693a24fc3f6bd3a74c6d3c9578c
>
>Colin
>

---

From: Todd Glassey <[email-masked]>
Date: Wed, 21 Mar 2007 07:47:02 -0800 (GMT-08:00)

Harald - before you put words in my mouth you had better make sure you know what you are talking about. And in this instance it was a legitmate question. 

Your hostile response is totally unwarranted.

As to any commentary impugning WG Chairs - that also is inappropriate from you. The purpose of governance is so that people dont need to rely on the ethical status of another human being... i.e. that there is a process and a set of evidence to support fair-play and open access for all. 

Todd Glassey

-----Original Message-----
>From: Harald Tveit Alvestrand <[email-masked]>
>Sent: Mar 21, 2007 12:31 AM
>To: todd glassey <[email-masked]>
>Cc: [email-masked]
>> Harald - always nice to be told to "Shutup" by you when I am asking a
>> question.
>
>Todd, your question has been answered many times over. RFCs (as identified 
>by RFC numbers) are not changed.
>
>Your continuing to harp on this subject, including your "I seem to recall" 
>is an accusation that the WG chairs of this group are lying to you.
>
>Such accusations, unbacked by evidence, are not considered normal or 
>acceptable behaviour in IETF working groups.
>
>                       Harald
>

---

From: Todd Glassey <[email-masked]>
Date: Mon, 26 Mar 2007 13:14:23 -0800 (GMT-08:00)

John...

-----Original Message-----
>From: John C Klensin <[email-masked]>
>Sent: Mar 26, 2007 10:50 AM
>To: todd glassey <[email-masked]>, Simon Josefsson <[email-masked]>
>Cc: Brian E Carpenter <[email-masked]>, Frank Ellermann <[email-masked]>, [email-masked]
>--On Monday, 26 March, 2007 11:33 -0700 todd glassey
>>> That may be useful, at least as a guideline for us to
>>> determine if the RFC editor actually have copyright claims on
>>> a particular document.  I suspect that for some documents,
>>> the edits are too small to be copyrightable.
>> 
>> I dont think there are any RFC Editor (c) claims. They never
>> rewrite more than 10% of the core material in the document.
>
>Todd, how would you know?

Because I read the solicitation document. As to the Editor's role, per the RFP Soliciation Document, it is not to 'Create' but to refine such that the work-product which published by the IETF for the ISOC meets the IETF's RFC formatting Standards. In many instances they in fact may do nothing at all to the media if the submitted prototype meets the publishing standards one would think.

What I am saying simply is that the Editor's role is to package the IP submitted so that it is 'fit for publication per the RFC Guidelines' and if they are altering the IP in any way other than that there is a serious legal issue to be resolved here since they can in effect circumvent the entire IETF vetting and community concensus process with their publication process. In fact since they are the publishing Agent if they can write and publish RFC's who needs the IETF WG's anymore?

T.

>
>Remembering that copyright is about the mode of expression,
>rather than the underlying ideas, I can recollect several RFCs
>where the RFC Editor has changed significantly more than 10% of
>the material ("core material" if that means "other than
>boilerplace").

Hmmm - From my experience the Mode of Expression (i.e. how the IP is packaged) is relatively smaller than one would think. The republishing of a copyrighted set of images for instance from a Movie as a Sequence of Stills will in fact still violate the (c) for the movie depending on how its done...    

Todd

>    john